For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tracked Data

List Tracked Data

get

Retrieves a paginated list of tracked data records. Can be filtered by flow_id, flow_run_id, step_id, entity_type_id, value, created_before, and created_after.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[flow_id]stringOptional

Filter results by flow_id.

filter[flow_run_id]stringOptional

Filter results by flow_run_id.

filter[step_id]stringOptional

Filter results by step_id.

filter[entity_type_id]stringOptional

Filter results by entity_type_id.

filter[tracked_data_store_reference]stringOptional

Filter results by tracked_data_store_reference.

filter[value]stringOptional

Filter results by value.

filter[created_before]stringOptional

Filter results by created_before.

filter[created_after]stringOptional

Filter results by created_after.

includestringOptional

Comma-separated list of relationships to include. Available: flow, flowRun, flowStep, entityType

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at, id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/tracked-data
GET /api/v1/tracked-data HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "flow_id": 1,
      "flow_run_id": 1,
      "step_id": 1,
      "entity_type_id": 1,
      "tracked_data_store_reference": "example_tracked_data_store_reference",
      "value": "example_value",
      "direction": "Send",
      "sent_count": 5,
      "received_count": 5,
      "success": {},
      "flow": {},
      "flow_step": {},
      "flow_run": {},
      "entity_type": {}
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/tracked-data",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/tracked-data?page=1",
    "last": "https://api.example.com/api/v1/tracked-data?page=1",
    "prev": null,
    "next": null
  }
}

List Entity Types

get

Retrieves a paginated list of entity types found in tracked data.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
includestringOptional

Comma-separated list of relationships to include. Available: endpoints, fieldTags, systemFields

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

No content

get/api/v1/tracked-data/entity-types
GET /api/v1/tracked-data/entity-types HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*

No content

get

Searches tracked data.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Responses
200

Successful response

No content

get/api/v1/tracked-data/search
GET /api/v1/tracked-data/search HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?